#!/usr/bin/env python

from dm.common.api.dmRestApi import DmRestApi

class DsRestApi(DmRestApi):
    """ Base DS DM REST api class. """

    def __init__(self, username=None, password=None, host=None, port=None, protocol=None):
        if host == None:
            host = self.configurationManager.getDsWebServiceHost()
        if port == None:
            port = self.configurationManager.getDsWebServicePort()
        DmRestApi.__init__(self, username, password, host, port, protocol)

#######################################################################
# Testing.

if __name__ == '__main__':
    pass


